﻿// ----------------------------------------------------------------------------------
//
// Copyright Microsoft Corporation
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
// http://www.apache.org/licenses/LICENSE-2.0
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
// ----------------------------------------------------------------------------------
namespace Microsoft.WindowsAzure.Commands.Test.HDInsight.CmdLetTests
{
    public static class CmdletConstants
    {
        public const string AddAzureHDInsightConfigValues = "Add-AzureHDInsightConfigValues";
        public const string AddAzureHDInsightMetastore = "Add-AzureHDInsightMetastore";
        public const string AddAzureHDInsightStorage = "Add-AzureHDInsightStorage";
        public const string AddAzureHDInsightScriptAction = "Add-AzureHDInsightScriptAction";
        public const string Arguments = "Args";
        public const string Certificate = "Certificate";
        public const string ClassName = "Class";
        public const string Cluster = "Cluster";
        public const string ClusterConfig = "Config";
        public const string ClusterSizeInNodes = "ClusterSizeInNodes";
        public const string Combiner = "Combiner";
        public const string CoreConfig = "Core";
        public const string Credential = "Credential";
        public const string RdpCredential = "RdpCredential";
        public const string RdpAccessExpiry = "RdpAccessExpiry";
        public const string DatabaseName = "DatabaseName";
        public const string Debug = "Debug";
        public const string DefaultStorageContainerName = "DefaultStorageContainerName";
        public const string ExecHiveAlias = "hive";
        public const string ExecHiveQueryAlias = "e";
        public const string Force = "Force";
        public const string GetAzureHDInsightCluster = "Get-AzureHDInsightCluster";
        public const string GetAzureHDInsightJob = "Get-AzureHDInsightJob";
        public const string GetAzureHDInsightJobOutput = "Get-AzureHDInsightJobOutput";
        public const string GetAzureHDInsightProperties = "Get-AzureHDInsightProperties";
        public const string GrantAzureHDInsightHttpAccess = "Grant-AzureHDInsightHttpServicesAccess";
        public const string GrantAzureHDInsightRdpAccess = "Grant-AzureHDInsightRdpAccess";
        public const string HdfsConfig = "Hdfs";
        public const string HiveArgs = "Arguments";
        public const string HiveConfig = "Hive";
        public const string Input = "Input";
        public const string InputFormat = "InputFormat";
        public const string InputReader = "InputReader";
        public const string InvokeHive = "Invoke-Hive";
        public const string JarFile = "Jar";
        public const string Job = "Job";
        public const string Command = "Command";
        public const string File = "File";
        public const string Files = "Files";
        public const string JobDefinition = "Job";
        public const string JobName = "Name";
        public const string LibJars = "LibJars";
        public const string Locations = "Locations";
        public const string MapReduceConfig = "MapReduce";
        public const string DownloadTaskLogs = "DownloadTaskLogs";
        public const string Mapper = "Mapper";
        public const string MetastoreType = "MetastoreType";
        public const string Name = "Name";
        public const string NewAzureHDInsightCluster = "New-AzureHDInsightCluster";
        public const string NewAzureHDInsightClusterConfig = "New-AzureHDInsightClusterConfig";
        public const string NewAzureHDInsightHiveJobDefinition = "New-AzureHDInsightHiveJobDefinition";
        public const string NewAzureHDInsightMapReduceJobDefinition = "New-AzureHDInsightMapReduceJobDefinition";
        public const string NewAzureHDInsightPigJobDefinition = "New-AzureHDInsightPigJobDefinition";
        public const string NewAzureHDInsightSqoopJobDefinition = "New-AzureHDInsightSqoopJobDefinition";
        public const string NewAzureHDInsightStreamingMapReduceJobDefinition = "New-AzureHDInsightStreamingMapReduceJobDefinition";
        public const string OozieConfig = "Oozie";
        public const string Output = "Output";
        public const string OutputFormat = "OutputFormat";
        public const string Parameters = "Params";
        public const string Partitioner = "Partitioner";
        public const string Password = "Password";
        public const string Query = "QueryText";
        public const string QueryFile = "QueryFile";
        public const string Reducer = "Reducer";
        public const string RemoveAzureHDInsightCluster = "Remove-AzureHDInsightCluster";
        public const string RevokeAzureHDInsightHttpAccess = "Revoke-AzureHDInsightHttpServicesAccess";
        public const string RevokeAzureHDInsightRdpAccess = "Revoke-AzureHDInsightRdpAccess";
        public const string SetAzureHDInsightClusterSize = "Set-AzureHDInsightClusterSize";
        public const string SetAzureHDInsightDefaultStorage = "Set-AzureHDInsightDefaultStorage";
        public const string Show = "Show";
        public const string Skip = "Skip";
        public const string SqlAzureServerName = "SqlAzureServerName";
        public const string StartAzureHDInsightJob = "Start-AzureHDInsightJob";
        public const string ConfigActionName = "Name";  
        public const string ConfigActionClusterRoleCollection = "ClusterRoleCollection";  
        public const string ScriptActionUri = "Uri";  
        public const string ScriptActionParameters = "Parameters"; 
        public const string StatusFolder = "StatusFolder";
        public const string YarnConfig = "Yarn";
        public const string StormConfig = "Storm";
        public const string SparkConfig = "Spark";
        public const string HBaseConfig = "HBase";

        public const string StdErr = "StandardError";
        public const string Id = "Id";
        public const string JobId = "JobId";
        public const string FromDateTime = "From";
        public const string Location = "Location";
        public const string EnableHeadNodeHighAvailability = "EnableHeadNodeHighAvailability";
        public const string EastUs = "East US";
        public const string DefaultStorageAccountName = "DefaultStorageAccountName";
        public const string DefaultStorageAccountKey = "DefaultStorageAccountKey";
        public const string StopAzureHDInsightJob = "Stop-AzureHDInsightJob";
        public const string StorageAccountKey = "StorageAccountKey";
        public const string StorageAccountName = "StorageAccountName";
        public const string StorageContainerName = "StorageContainerName";
        public const string Subscription = "Subscription";
        public const string TaskLogsDirectory = "TaskLogsDirectory";
        public const string TaskSummary = "TaskSummary";
        public const string ToDateTime = "To";
        public const string UseAzureHDInsightCluster = "Use-AzureHDInsightCluster";
        public const string UserName = "UserName";
        public const string Version = "Version";
        public const string Versions = "Versions";
        public const string WaitAzureHDInsightJob = "Wait-AzureHDInsightJob";
        public const string WaitTimeoutInSeconds = "WaitTimeoutInSeconds";
        public const string HeadNodeVMSize = "HeadNodeVMSize";
        public const string ClusterType = "ClusterType";
        public const string VirtualNetworkId = "VirtualNetworkId";
        public const string SubnetName = "SubnetName";
    }
}

